libmpq(1)

NAME
libmpq-config - script to get information about the installed version of libmpq.

SYNOPSIS
libmpq-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version]
[--cflags] [--libs] [--static-libs]

DESCRIPTION

libmpq-config is a tool that is used to determine the compiler and linker flags that should be used to compile and link programs that use libmpq. Finally, it's also used internally by the .m4 macros for GNU autoconf that are included with libmpq.

OPTIONS
libmpq-config accepts the following options:

--version
    Print the currently installed version of libmpq on the standard output.

--libs
    Print the linker flags that are necessary to link libmpq to a program.

--static-libs
    Print the linker flags that are necessary to statically link libmpq to a program.

--cflags
    Print the compiler flags that are necessary to compile a program that use libmpq.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that libmpq was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that libmpq was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

NOTE
Instead of using this configuration script you should better use the pkg-config version because this would be more platform independent and makes the usage within GNU autoconf much easier.

SEE ALSO
libmpq(3)

AUTHOR
Check documentation.

libmpq is (c) 2003-2008
    Maik Broemme <mbroemme@plusserver.de>

The above e-mail address can be used to send bug reports, feedbacks or library enhancements.